require "Pixel"

local size = 100

function love.load()
	pixel.board.load(size)
	local q = {255, 255, 255}
	local w = {191.25, 191.25, 191.25}
	local e = {127.5, 127.5, 127.5}
	local r = {63.75, 63.75, 63.75}
	local t = {0, 0, 0}
	
	f = {	q, w, e, r, t, r, e, w,
			w, q, w, e, r, t, r, e,
			e, w, q, w, e, r, t, r,
			e, w, q, w, e, r, t, r,
			w, q, w, e, r, t, r, e,
			q, w, e, r, t, r, e, w}
			
	p = {}
	for i = 1, #f do
		local x = i
		local fin = false
		local member = {}
		local n = 0
		for i2 = 1, #f do
			n = n + 1
			if x <= #f then
				member[n] = f[x]
				if x == #f then
					x = 0
				end
				x = x + 1
			elseif x < i then
				member[n] = f[x]
				x = x + 1
			end
		end
		table.insert(p, member)
	end
end
prev = 0
timer = 0
count = 0
function love.update()
	local t = love.timer.getTime() - prev
	prev = love.timer.getTime()
	timer = timer + t
	if timer >= 0.1 then
		count = count + 1
		if count > #p then
			count = 1
		end
		pixel.board.set(p[count])
		timer = 0
	end
end

function love.draw()
	pixel.board.draw()
end